Skip to main content

Get vouchers

GET /v1/public/vouchers

Lists issued customer voucher instances belonging to the authenticated merchant. This endpoint does not return merchant voucher templates.

Authorization

X-API-Key required

Parameters

NameLocationTypeRequiredDescription
pagequeryintegerNoPage number.
limitqueryintegerNoNumber of vouchers per page.
statusquerypending, active, expired, redeemed, cancelled, partialNoFilter by issued-voucher status.
searchquerystringNoSearch voucher codes and titles.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/vouchers" \
-H "Accept: application/json" \
-H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Issued vouchers retrieved.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.

Success response example

{
"success": true,
"data": [
{
"id": "66c735e253f2836fbe941234",
"code": "GIFT-8HD42K",
"title": "£25 Gift Voucher",
"value": 25,
"remainingValue": 15,
"currency": "GBP",
"status": "partial",
"allowPartialRedemption": true,
"expiry": "2027-08-23T23:59:59.000Z",
"recipient": {
"name": "Alex Morgan",
"email": "alex@example.com"
},
"redemptions": [
{
"amount": 10,
"type": "partial",
"date": "2026-08-23T11:00:00.000Z"
}
],
"createdAt": "2026-08-01T09:00:00.000Z",
"updatedAt": "2026-08-23T11:00:00.000Z"
}
],
"pagination": {
"currentPage": 1,
"totalPages": 1,
"totalItems": 1,
"itemsPerPage": 10,
"hasNextPage": false,
"hasPrevPage": false
}
}